### Method

# Secret Service read_alias_dbus_path_finish

#### Declaration [src]

    gchar*
    secret_service_read_alias_dbus_path_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to lookup which collection is assigned to an alias.

This method returns the DBus object path of the collection.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| The collection dbus object path, or `NULL` if none assigned to the alias.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.